// Colors
$color: (
  // mono
  black: #000000,
  white: #FFFFFF,
  // grey
  grey-dark: #333333,
  grey: #666666,
  grey-light: #CCCCCC,
  grey-tint: #F2F2F2,
  // primary
  primary-dark: #232642,
  primary: #2E3B87,
  primary-light: #B2C9D4,
  primary-tint: #ECEEF9,
  // alert
  danger-dark: #9C2222,
  danger-light: #F0BCBC,
  danger-tint: #FAE6E6,
  warning-dark: #704700,
  warning-light: #FDDE91,
  warning-tint: #FEEDC3,
  success-dark: #1B5E20,
  success-light: #90DF96,
  success-tint: #D7F4D9,
  // secondary
  yellow: #FBC02D,
  orange: #FD8230,
  magenta: #E91E63,
  red: #9C2222,
  blue-light: #25D7FD,
  cerulean: #00ACC1,
  blue: #039BE5,
  blue-dark: #01579B,
  pink: #EC407A,
  purple-light: #EA80FC,
  purple: #9C27B0,
  purple-dark: #4A148C,
  green-light: #D4E157,
  green: #8BC34A,
  turquoise: #4DB6AC,
  green-dark: #1B5E20
);
@function color($option) {
    @return map-get($color, $option);
}

// Elements
$border-width: 1px;
$border-style: solid;
@function border($option) {
  @return $border-width $border-style map-get($color, $option);
}
$border-radius: 4px;
$box-shadow: 0px 4px 8px rgba(color(black), 0.1);
$transition: all 0.4s ease-out;

// // Breakpoints
$breakpoints: (
  'small':  480px,
  'medium': 768px,
  'large':  1200px,
  'xlarge': 1440px
) !default;
@function breakpoint-size($option) {
  @return map-get($breakpoints, $option);
}

// Breakpoint mixin from https://css-tricks.com/snippets/sass/mixin-manage-breakpoints/
@mixin breakpoint($breakpoint) {
  @if map-has-key($breakpoints, $breakpoint) {
    @media (min-width: map-get($breakpoints, $breakpoint)) {
      @content;
    }
  }
  @else {
    @warn "Unfortunately, no value could be retrieved from `#{$breakpoint}`. "
    + "Available breakpoints are: #{map-keys($breakpoints)}.";
  }
}

// Font Styles
$font-family-primary: 'Inter', -apple-system, BlinkMacSystemFont,
'Segoe UI', Roboto, 'Helvetica Neue', Arial, sans-serif;
$font-size: (
  0: 0.75rem, // 12px
  1: 1rem, // 16px
  2: 1.25rem,// 20px
  3: 1.5rem, // 24px
  4: 2.25rem, // 36px
  5: 3rem, // 48px
  6: 3.75rem // 60px
);
@function font-size($option) {
  @return map-get($font-size, $option);
}
$font-weight-regular: 400;
$font-weight-bold: 700;
$line-height-header: 1.25;
$line-height-body: 1.5;
$letter-spacing-header: -0.025em;
$letter-spacing-body: 0;

// Spacing
$spacing: (
  0: 0.25rem, // 4px
  1: 0.5rem, // 8px
  2: 1rem, // 16px
  3: 2rem,// 32px
  4: 3rem, // 48px
  5: 4rem, // 64px
  6: 5rem // 80px
);
@function spacing($option) {
  @return map-get($spacing, $option);
}
